summaryrefslogtreecommitdiffstats
path: root/libraries/haskell-HUnit
diff options
context:
space:
mode:
author Mikko Varri2010-05-13 00:58:33 +0200
committer Robby Workman2010-05-13 00:58:33 +0200
commit82415aacdf790232eab1fa50b065ae219886a1fb (patch)
tree913752579a00c240d7271dd5e96edc4fa9a4b267 /libraries/haskell-HUnit
parent01bc3d7caa5530284b43e84a1fda73d8269e477e (diff)
downloadslackbuilds-82415aacdf790232eab1fa50b065ae219886a1fb.tar.gz
libraries/haskell-HUnit: Added to 13.0 repository
Diffstat (limited to 'libraries/haskell-HUnit')
-rw-r--r--libraries/haskell-HUnit/README9
-rw-r--r--libraries/haskell-HUnit/doinst.sh3
-rw-r--r--libraries/haskell-HUnit/haskell-HUnit.SlackBuild80
-rw-r--r--libraries/haskell-HUnit/haskell-HUnit.info10
-rw-r--r--libraries/haskell-HUnit/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/libraries/haskell-HUnit/README b/libraries/haskell-HUnit/README
new file mode 100644
index 0000000000..20c8698d1f
--- /dev/null
+++ b/libraries/haskell-HUnit/README
@@ -0,0 +1,9 @@
+haskell-HUnit (Unit testing framework for Haskell)
+
+HUnit is a unit testing framework for Haskell, inspired by the JUnit
+tool for Java.
+
+This requires ghc.
+
+When uninstalling, run this command to unregister the package from the ghc
+package database: ghc-pkg unregister HUnit
diff --git a/libraries/haskell-HUnit/doinst.sh b/libraries/haskell-HUnit/doinst.sh
new file mode 100644
index 0000000000..4038a8fd5c
--- /dev/null
+++ b/libraries/haskell-HUnit/doinst.sh
@@ -0,0 +1,3 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
diff --git a/libraries/haskell-HUnit/haskell-HUnit.SlackBuild b/libraries/haskell-HUnit/haskell-HUnit.SlackBuild
new file mode 100644
index 0000000000..41fcddf382
--- /dev/null
+++ b/libraries/haskell-HUnit/haskell-HUnit.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for haskell-HUnit
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-HUnit
+VERSION=${VERSION:-1.2.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=HUnit
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README doc/Guide.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/haskell-HUnit/haskell-HUnit.info b/libraries/haskell-HUnit/haskell-HUnit.info
new file mode 100644
index 0000000000..b4398d8f67
--- /dev/null
+++ b/libraries/haskell-HUnit/haskell-HUnit.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-HUnit"
+VERSION="1.2.2.1"
+HOMEPAGE="http://hackage.haskell.org/package/HUnit"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/HUnit/1.2.2.1/HUnit-1.2.2.1.tar.gz"
+MD5SUM="2634e94c27486f8e8feeb778f78c663f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-HUnit/slack-desc b/libraries/haskell-HUnit/slack-desc
new file mode 100644
index 0000000000..60583e8526
--- /dev/null
+++ b/libraries/haskell-HUnit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-HUnit: haskell-HUnit (Unit testing framework for Haskell)
+haskell-HUnit:
+haskell-HUnit: HUnit is a unit testing framework for Haskell, inspired by the JUnit
+haskell-HUnit: tool for Java.
+haskell-HUnit:
+haskell-HUnit: http://hackage.haskell.org/package/HUnit
+haskell-HUnit:
+haskell-HUnit:
+haskell-HUnit:
+haskell-HUnit:
+haskell-HUnit: